/categories/all
This endpoint allows you to list all categories.
The query parameters described below are to be used with the JQL.
getAllCategories
| Name | Type | Description |
|---|---|---|
code
|
string |
Filter results by given property value. |
limit
|
integer |
Number of categories per page (defaults to no pagination). |
page
|
integer |
Page number for pagination (defaults to no page). |
expanded
|
string |
Comma-separated list of relations to include in the response. Allowed values: characteristics, characteristics.characteristic_catalog, Characteristics, characteristics.characteristicCatalog, categoryMeterings, entity, files, maintenancePolicies, maintenanceProcedures, maintenanceProcedures.categoryMetering, technicalSkills, . |
sort
|
string |
Sort results by one or more fields. Allowed fields: full_code, name, is_real. |
filteredByTechnicalSkills
|
boolean |
When true, returns only categories assignable to technical skills along with their ancestors. |
s_is_real
|
boolean |
Filter by whether the category is real. |
s_name
|
string |
Filter by category name. |
s_name_like
|
string |
Filter by category name (partial match). |
s_type
|
string |
Filter by category type. |
s_code
|
string |
Filter by category code (exact match). |
s_code_like
|
string |
Filter by category code (partial match). |
s_code_in
|
array |
Filter by multiple category codes. |
s_full_code
|
string |
Filter by full code (exact match). |
s_full_code_like
|
string |
Filter by full code (partial match). |
s_full_code_in
|
array |
Filter by multiple category full codes. |
s_category_id
|
integer |
Filter by category id. |
s_category_id_in
|
array |
Filter by multiple category ids. |
s_parent_id
|
integer |
Filter by parent category id. |
s_parent_id_in
|
array |
Filter by multiple parent category ids. |
s_problems-problem_id
|
integer |
Filter by associated problem id. |
date_min_updated_at
|
string |
Filter categories updated at or after this date. |
date_max_updated_at
|
string |
Filter categories updated at or before this date. |
sc_min_id
|
integer |
Filter categories with id greater than or equal to this value. |
sc_search
|
string |
Search categories by name or full code. |
sc_type_equipment
|
boolean |
Filter to only return equipment type categories. |
data
array<object>
id
string
required
read-only
ID of the Category
Example: 123
type
string
required
read-only
Model type
category
Example: category
attributes
object
required
category_id
integer
read-only
ID of the Category
Example: 123
type
string
The Category type. A "TYPE_OF_EQUIPMENT" Category is directly related to equipments (e.g. a fridge) and a Category "SOFT_MAINTENANCE" is related to Locations (E.g. hotel rooms).
SOFT_MAINTENANCE
TYPE_OF_EQUIPMENT
Example: SOFT_MAINTENANCE
all_technical_skills
boolean | null
Indicates if this category is associated to all technical skills.
Example: 1
code
string
Code of the Category.
Example: VENT
entity_id
integer
Entity ID of the Category.
Example: 123
full_code
string | null
read-only
Codes of the category's parents concatenated by dot with category code.
Example: XYZ.VENT
has_children
boolean
read-only
Whether the category has subitems or not.
Example: 1
is_real
boolean | null
Whether the category is a folder (false) or "final" category (true).
Example: 1
name
string
Name of the Category.
Example: Ventilation
parent_id
integer | null
ID of the category parent.
Example: 123
relationships
object
Available relationships of the Category.
categoryMeterings
object
Category Meterings associated to the category.
characteristics
object
Characteristics associated to the category.
entity
object
Entity associated to the category.
files
object
Files associated to the category.
maintenanceProcedures
object
Maintenance Procedures associated to the category.
maintenancePolicies
object
Maintenance Policies associated to the category.
problems
object
Problems associated to the category.
technicalSkills
object
Technical Skills associated to the category.
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
403
message
string
Example: Action unauthorized
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/categories/all' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/categories/all', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/categories/all');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/categories/all',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()